reSIDfp::ZeroOrderResampler Class Referencefinal

`#include <ZeroOrderResampler.h>`

Inheritance diagram for reSIDfp::ZeroOrderResampler:

## Public Member Functions

| ZeroOrderResampler (double clockFrequency, double samplingFrequency)
bool | input (int sample) override
int | output () const override
void | reset () override
Public Member Functions inherited from reSIDfp::Resampler
short | getOutput () const

## Additional Inherited Members

Protected Member Functions inherited from reSIDfp::Resampler
short | softClip (int x) const

## Detailed Description

Return sample with linear interpolation.

Author
  Antti Lankila

## Member Function Documentation

## input()

bool reSIDfp::ZeroOrderResampler::input | ( | int | sample | ) |

inline override virtual

Input a sample into resampler. Output "true" when resampler is ready with new sample.

Parameters

  sample | input sample

Returns
  true when a sample is ready

Implements reSIDfp::Resampler.

## output()

int reSIDfp::ZeroOrderResampler::output | ( |  | ) | const

inline override virtual

Implements reSIDfp::Resampler.

## reset()

void reSIDfp::ZeroOrderResampler::reset | ( |  | ) |

inline override virtual

Implements reSIDfp::Resampler.

The documentation for this class was generated from the following file:

- ZeroOrderResampler.h